local fn = _gn(0xEDE8AC7C5108FB1D)
--- Returns the result of a shape test: 0 if the handle is invalid, 1 if the shape test is still pending, or 2 if the shape test has completed, and the handle should be invalidated.
-- When used with an asynchronous shape test, this native should be looped until returning 0 or 2, after which the handle is invalidated.
-- enum eShapeTestStatus
-- {
-- SHAPETEST_STATUS_NONEXISTENT,
-- SHAPETEST_STATUS_RESULTS_NOTREADY,
-- SHAPETEST_STATUS_RESULTS_READY
-- };
function Global.GetShapeTestResult(shapeTestHandle)
	return _in2(fn, shapeTestHandle, _i --[[ actually bool ]], _v, _v, _i, _ri)
end
